nRF51 SDK: ble_gatts_char_md_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_gatts_char_md_t Struct Reference
Generic Attribute Profile (GATT) Server | Structures | Generic Attribute Profile (GATT) Server

GATT Characteristic metadata. More...

`#include <ble_gatts.h>`

## Data Fields

ble_gatt_char_props_t | char_props
ble_gatt_char_ext_props_t | char_ext_props
uint8_t * | p_char_user_desc
uint16_t | char_user_desc_max_size
uint16_t | char_user_desc_size
ble_gatts_char_pf_t * | p_char_pf
ble_gatts_attr_md_t * | p_user_desc_md
ble_gatts_attr_md_t * | p_cccd_md
ble_gatts_attr_md_t * | p_sccd_md

## Detailed Description

GATT Characteristic metadata.

## Field Documentation

ble_gatt_char_ext_props_t ble_gatts_char_md_t::char_ext_props

Characteristic Extended Properties.

ble_gatt_char_props_t ble_gatts_char_md_t::char_props

Characteristic Properties.

uint16_t ble_gatts_char_md_t::char_user_desc_max_size

The maximum size in bytes of the user description descriptor.

uint16_t ble_gatts_char_md_t::char_user_desc_size

The size of the user description, must be smaller or equal to char_user_desc_max_size.

ble_gatts_attr_md_t * ble_gatts_char_md_t::p_cccd_md

Attribute metadata for the Client Characteristic Configuration Descriptor, or NULL for default values.

ble_gatts_char_pf_t * ble_gatts_char_md_t::p_char_pf

Pointer to a presentation format structure or NULL if the descriptor is not required.

uint8_t * ble_gatts_char_md_t::p_char_user_desc

Pointer to a UTF-8, NULL if the descriptor is not required.

ble_gatts_attr_md_t * ble_gatts_char_md_t::p_sccd_md

Attribute metadata for the Server Characteristic Configuration Descriptor, or NULL for default values.

ble_gatts_attr_md_t * ble_gatts_char_md_t::p_user_desc_md

Attribute metadata for the User Description descriptor, or NULL for default values.